---
title: AudioTrack.sourceBuffer
slug: Web/API/AudioTrack/sourceBuffer
tags:
  - API
  - Audio
  - AudioTrack
  - HTML DOM
  - MSE
  - Media
  - Media Source Extensions
  - Property
  - Read-only
  - Reference
  - SourceBuffer
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("AudioTrack")}}</strong> property <strong><code>sourceBuffer</code></strong> returns the {{domxref("SourceBuffer")}} that created the track, or null if the track was not created by a {{domxref("SourceBuffer")}} or the {{domxref("SourceBuffer")}} has been removed from the {{domxref("MediaSource.sourceBuffers")}} attribute of its parent media source.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sourceBuffer</em> = <em>AudioTrack</em>.sourceBuffer;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("SourceBuffer")}} or null.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#dom-audiotrack-sourcebuffer', 'AudioTrack: sourceBuffer')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrack.sourceBuffer")}}</p>
